Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0028394
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2014-12-11 20:122015-01-26 16:43
ReporterjecharriView Statuspublic 
Assigned Toaaroncalero 
PriorityurgentResolutionfixedFixed in VersionRR15Q2
StatusclosedFix in branchFixed in SCM revision74be63e9a638
ProjectionnoneETAnoneTarget VersionRR15Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomtaal
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0028394: Cash up creation date is not properly set in the ERP when the cash up is synchronized

DescriptionCash up creation date is not properly set in the ERP when the cash up is synchronized
Steps To Reproduce-Go to Web POS
-Open developer tools and verify cash up creation date
-Do the cash up
-Go to POS terminal window and verify the audit information of the cash up
Verify that the creation and updated date is the same

The creation date should be the correct creation date, in that way the client will be able to check when it started the "till" and when it finished
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0028694 closedOrekaria The creationDate is not part of the receipt attributes 
related to defect 0028588 closedaaroncalero The time of a quotation is shown as null/undefined after switching to a ticket and back to the quotation 
related to design defect 0028707 closedOrekaria Stabilization: The Cashup logic is using a field called 'createdDate' while the Openbravo standard is 'creationDate' 

-  Notes
(0072565)
mtaal (manager)
2014-12-16 16:39

Hi,
To have the start and end of a session/till there is the retail.sessions module.

The only thing we can change in core retail is that the creation date/time is the time the cashup was done in the client and then try to use this as the creation date in the server.

But this is not the same as the start time/date of the till.

So let me know if the change what I propose is indeed what the customer wants. Or if that the customer has more usage of the retail.sessions module.

gr. Martin
(0072831)
jecharri (developer)
2014-12-26 08:12

Hi,

The only thing that I am asking is that the cash up in the ERP should have the same creationDate that it has in the client side. With this solution the bug will be solved.

I know and also client knows that the result is not going to be exactly the same as working with tills.
(0073635)
hgbot (developer)
2015-01-20 09:42

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 74be63e9a638d1a5c28987750cdf09347d95f2dc
Author: Aaron Calero <aaron.calero <at> openbravo.com>
Date: Tue Jan 20 09:32:47 2015 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/74be63e9a638d1a5c28987750cdf09347d95f2dc [^]

Fixed issue 28394: Cash up creation date is not properly set in the ERP when the cash up is synchronized

Changed the format of the creationDate of the cashup in the POS to match the format of the date when it's recovered from the server.
Added the createdDate field to the cashup json sent to the backend to be synchronized.
Audit info is updated in the server after the Dal object is saved for the first time.

---
M src/org/openbravo/retail/posterminal/ProcessCashClose.java
M web/org.openbravo.retail.posterminal/js/utils/cashUpReportUtils.js
---
(0073785)
mtaal (manager)
2015-01-26 16:43

Reviewed and tested

- Issue History
Date Modified Username Field Change
2014-12-11 20:12 jecharri New Issue
2014-12-11 20:12 jecharri Assigned To => marvintm
2014-12-11 20:12 jecharri Triggers an Emergency Pack => No
2014-12-16 16:39 mtaal Note Added: 0072565
2014-12-16 16:39 mtaal Status new => feedback
2014-12-19 10:09 mtaal Target Version RR15Q1 => RR15Q2
2014-12-26 08:12 jecharri Note Added: 0072831
2014-12-26 08:12 jecharri Status feedback => new
2015-01-08 11:46 mtaal Assigned To marvintm => aaroncalero
2015-01-20 09:42 hgbot Checkin
2015-01-20 09:42 hgbot Note Added: 0073635
2015-01-20 09:42 hgbot Status new => resolved
2015-01-20 09:42 hgbot Resolution open => fixed
2015-01-20 09:42 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/74be63e9a638d1a5c28987750cdf09347d95f2dc [^]
2015-01-20 19:46 Orekaria Relationship added related to 0028694
2015-01-20 19:46 Orekaria Relationship added related to 0028588
2015-01-21 10:40 Orekaria Relationship added related to 0028707
2015-01-26 16:43 mtaal Review Assigned To => mtaal
2015-01-26 16:43 mtaal Note Added: 0073785
2015-01-26 16:43 mtaal Status resolved => closed
2015-01-26 16:43 mtaal Fixed in Version => RR15Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker